## starpu 1.3.3+dfsg

=== examples/fortran/Makefile ===
# StarPU --- Runtime system for heterogeneous multicore architectures.
# 
# Copyright (C) 2009  Université de Bordeaux
# Copyright (C) 2010  CNRS
# 
# StarPU is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at
# your option) any later version.
# 
# StarPU is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# See the GNU Lesser General Public License in COPYING.LGPL for more details.

FC=gfortran
CFLAGS+= -g -Wall
FFLAGS+= -g -Wall

all: hello

hello.F: StarPU_fortran.h

hello: hello.F hello_c.o

clean:
	rm -f *.o *.mod hello

=== min-dgels/base/BLAS/SRC/Makefile ===
TOPDIR=../..
include $(TOPDIR)/make.inc

#######################################################################
#  This is the makefile to create a library for the BLAS.
#  The files are grouped as follows:
#
#       SBLAS1 -- Single precision real BLAS routines
#       CBLAS1 -- Single precision complex BLAS routines
#       DBLAS1 -- Double precision real BLAS routines
#       ZBLAS1 -- Double precision complex BLAS routines
#
#       CB1AUX -- Real BLAS routines called by complex routines
#       ZB1AUX -- D.P. real BLAS routines called by d.p. complex
#                 routines
#
#      ALLBLAS -- Auxiliary routines for Level 2 and 3 BLAS
#
#       SBLAS2 -- Single precision real BLAS2 routines
#       CBLAS2 -- Single precision complex BLAS2 routines
#       DBLAS2 -- Double precision real BLAS2 routines
#       ZBLAS2 -- Double precision complex BLAS2 routines
#
#       SBLAS3 -- Single precision real BLAS3 routines
#       CBLAS3 -- Single precision complex BLAS3 routines
#       DBLAS3 -- Double precision real BLAS3 routines
#       ZBLAS3 -- Double precision complex BLAS3 routines
#
#  The library can be set up to include routines for any combination
#  of the four precisions.  To create or add to the library, enter make
#  followed by one or more of the precisions desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Note that these commands are not safe for parallel builds.
#
#  Alternatively, the commands
#       make all
#  or
#       make
#  without any arguments creates a library of all four precisions.
#  The name of the library is held in BLASLIB, which is set in the
#  top-level make.inc
#
#  To remove the object files after the library is created, enter
#       make clean
#  To force the source files to be recompiled, enter, for example,
#       make single FRC=FRC
#
#---------------------------------------------------------------------
#
#  Edward Anderson, University of Tennessee
#  March 26, 1990
#  Susan Ostrouchov, Last updated September 30, 1994
#  ejr, May 2006.
#
#######################################################################

all: $(BLASLIB)
 
#---------------------------------------------------------
#  Comment out the next 6 definitions if you already have
#  the Level 1 BLAS.
#---------------------------------------------------------

DBLAS1 = idamax.o dasum.o daxpy.o dcopy.o ddot.o dnrm2.o \
	drot.o drotg.o dscal.o dsdot.o dswap.o drotmg.o drotm.o
$(DBLAS1): $(FRC)

#---------------------------------------------------------------------
#  The following line defines auxiliary routines needed by both the
#  Level 2 and Level 3 BLAS.  Comment it out only if you already have
#  both the Level 2 and 3 BLAS.
#---------------------------------------------------------------------

ALLBLAS  = lsame.o xerbla.o xerbla_array.o
$(ALLBLAS) : $(FRC)

#---------------------------------------------------------
#  Comment out the next 4 definitions if you already have
#  the Level 2 BLAS.
#---------------------------------------------------------

DBLAS2 = dgemv.o dgbmv.o dsymv.o dsbmv.o dspmv.o \
	dtrmv.o dtbmv.o dtpmv.o dtrsv.o dtbsv.o dtpsv.o \
	dger.o dsyr.o dspr.o dsyr2.o dspr2.o
$(DBLAS2): $(FRC)

#---------------------------------------------------------
#  Comment out the next 4 definitions if you already have
#  the Level 3 BLAS.
#---------------------------------------------------------

DBLAS3 = dgemm.o dsymm.o dsyrk.o dsyr2k.o dtrmm.o dtrsm.o
$(DBLAS3): $(FRC)

ALLOBJ= $(DBLAS1) $(DBLAS2) $(DBLAS3) $(ALLBLAS)

$(BLASLIB): $(ALLOBJ)
	$(ARCH) $(ARCHFLAGS) $@ $(ALLOBJ)
	$(RANLIB) $@

double: $(DBLAS1) $(ALLBLAS) $(DBLAS2) $(DBLAS3)
	$(ARCH) $(ARCHFLAGS) $(BLASLIB) $(DBLAS1) $(ALLBLAS) \
	$(DBLAS2) $(DBLAS3)
	$(RANLIB) $(BLASLIB)

FRC:
	@FRC=$(FRC)

clean:
	rm -f *.o

.c.o: 
	$(CC) $(CFLAGS) -c $< -o $@

=== min-dgels/base/F2CLIBS/libf2c/Makefile ===

TOPDIR=../..
include $(TOPDIR)/make.inc

# Unix makefile: see README.
# For C++, first "make hadd".
# If your compiler does not recognize ANSI C, add
#	-DKR_headers
# to the CFLAGS = line below.
# On Sun and other BSD systems that do not provide an ANSI sprintf, add
#	-DUSE_STRLEN
# to the CFLAGS = line below.
# On Linux systems, add
#	-DNON_UNIX_STDIO
# to the CFLAGS = line below.  For libf2c.so under Linux, also add
#	-fPIC
# to the CFLAGS = line below.

.SUFFIXES: .c .o

# compile, then strip unnecessary symbols
.c.o:
	$(CC) -c -DSkip_f2c_Undefs $(CFLAGS) $*.c
	$(LD) -r -x -o $*.xxx $*.o
	mv $*.xxx $*.o
## Under Solaris (and other systems that do not understand ld -x),
## omit -x in the ld line above.
## If your system does not have the ld command, comment out
## or remove both the ld and mv lines above.

MISC =	f77vers.o i77vers.o main.o s_rnge.o abort_.o exit_.o getarg_.o iargc_.o\
	getenv_.o signal_.o s_stop.o s_paus.o system_.o cabs.o ctype.o\
	derf_.o derfc_.o erf_.o erfc_.o sig_die.o uninit.o
POW =	pow_ci.o pow_dd.o pow_di.o pow_hh.o pow_ii.o pow_ri.o pow_zi.o pow_zz.o
CX =	c_abs.o c_cos.o c_div.o c_exp.o c_log.o c_sin.o c_sqrt.o
DCX =	z_abs.o z_cos.o z_div.o z_exp.o z_log.o z_sin.o z_sqrt.o
REAL =	r_abs.o r_acos.o r_asin.o r_atan.o r_atn2.o r_cnjg.o r_cos.o\
	r_cosh.o r_dim.o r_exp.o r_imag.o r_int.o\
	r_lg10.o r_log.o r_mod.o r_nint.o r_sign.o\
	r_sin.o r_sinh.o r_sqrt.o r_tan.o r_tanh.o
DBL =	d_abs.o d_acos.o d_asin.o d_atan.o d_atn2.o\
	d_cnjg.o d_cos.o d_cosh.o d_dim.o d_exp.o\
	d_imag.o d_int.o d_lg10.o d_log.o d_mod.o\
	d_nint.o d_prod.o d_sign.o d_sin.o d_sinh.o\
	d_sqrt.o d_tan.o d_tanh.o
INT =	i_abs.o i_dim.o i_dnnt.o i_indx.o i_len.o i_len_trim.o i_mod.o i_nint.o i_sign.o\
	lbitbits.o lbitshft.o i_ceiling.o
HALF =	h_abs.o h_dim.o h_dnnt.o h_indx.o h_len.o h_mod.o h_nint.o h_sign.o
CMP =	l_ge.o l_gt.o l_le.o l_lt.o hl_ge.o hl_gt.o hl_le.o hl_lt.o
EFL =	ef1asc_.o ef1cmc_.o
CHAR =	f77_aloc.o s_cat.o s_cmp.o s_copy.o
I77 =	backspac.o close.o dfe.o dolio.o due.o endfile.o err.o\
	fmt.o fmtlib.o ftell_.o iio.o ilnw.o inquire.o lread.o lwrite.o\
	open.o rdfmt.o rewind.o rsfe.o rsli.o rsne.o sfe.o sue.o\
	typesize.o uio.o util.o wref.o wrtfmt.o wsfe.o wsle.o wsne.o xwsne.o
QINT =	pow_qq.o qbitbits.o qbitshft.o ftell64_.o
TIME =	dtime_.o etime_.o

# If you get an error compiling dtime_.c or etime_.c, try adding
# -DUSE_CLOCK to the CFLAGS assignment above; if that does not work,
# omit $(TIME) from OFILES = assignment below.

# To get signed zeros in write statements on IEEE-arithmetic systems,
# add -DSIGNED_ZEROS to the CFLAGS assignment below and add signbit.o
# to the end of the OFILES = assignment below.

# For INTEGER*8 support (which requires system-dependent adjustments to
# f2c.h), add $(QINT) to the OFILES = assignment below...

OFILES = $(MISC) $(POW) $(CX) $(DCX) $(REAL) $(DBL) $(INT) \
	$(HALF) $(CMP) $(EFL) $(CHAR) $(I77) $(TIME)

all: f2c.h signal1.h sysdep1.h libminf2c.a

libminf2c.a: $(OFILES)
	$(ARCH) $(ARCHFLAGS) $(F2CLIB) $?
	$(RANLIB) $(F2CLIB)

## Shared-library variant: the following rule works on Linux
## systems.  Details are system-dependent.  Under Linux, -fPIC
## must appear in the CFLAGS assignment when making libf2c.so.
## Under Solaris, use -Kpic in CFLAGS and use "ld -G" instead
## of "cc -shared".

libf2c.so: $(OFILES)
	$(CC) -shared -o libf2c.so $(OFILES)

### If your system lacks ranlib, you don't need it; see README.

f77vers.o: f77vers.c
	$(CC) -c f77vers.c

i77vers.o: i77vers.c
	$(CC) -c i77vers.c

# To get an "f2c.h" for use with "f2c -C++", first "make hadd"
hadd: f2c.h0 f2ch.add
	cat f2c.h0 f2ch.add >f2c.h

# For use with "f2c" and "f2c -A":
f2c.h: f2c.h0
	cp f2c.h0 f2c.h

# You may need to adjust signal1.h and sysdep1.h suitably for your system...
signal1.h: signal1.h0
	cp signal1.h0 signal1.h

sysdep1.h: sysdep1.h0
	cp sysdep1.h0 sysdep1.h

# If your system lacks onexit() and you are not using an
# ANSI C compiler, then you should uncomment the following
# two lines (for compiling main.o):
#main.o: main.c
#	$(CC) -c -DNO_ONEXIT -DSkip_f2c_Undefs main.c
# On at least some Sun systems, it is more appropriate to
# uncomment the following two lines:
#main.o: main.c
#	$(CC) -c -Donexit=on_exit -DSkip_f2c_Undefs main.c

clean:
	rm -f libminf2c.a *.o arith.h signal1.h sysdep1.h

backspac.o:	fio.h
close.o:	fio.h
dfe.o:		fio.h
dfe.o:		fmt.h
due.o:		fio.h
endfile.o:	fio.h rawio.h
err.o:		fio.h rawio.h
fmt.o:		fio.h
fmt.o:		fmt.h
iio.o:		fio.h
iio.o:		fmt.h
ilnw.o:		fio.h
ilnw.o:		lio.h
inquire.o:	fio.h
lread.o:	fio.h
lread.o:	fmt.h
lread.o:	lio.h
lread.o:	fp.h
lwrite.o:	fio.h
lwrite.o:	fmt.h
lwrite.o:	lio.h
open.o:		fio.h rawio.h
rdfmt.o:	fio.h
rdfmt.o:	fmt.h
rdfmt.o:	fp.h
rewind.o:	fio.h
rsfe.o:		fio.h
rsfe.o:		fmt.h
rsli.o:		fio.h
rsli.o:		lio.h
rsne.o:		fio.h
rsne.o:		lio.h
sfe.o:		fio.h
signbit.o:	arith.h
sue.o:		fio.h
uio.o:		fio.h
uninit.o:	arith.h
util.o:		fio.h
wref.o:		fio.h
wref.o:		fmt.h
wref.o:		fp.h
wrtfmt.o:	fio.h
wrtfmt.o:	fmt.h
wsfe.o:		fio.h
wsfe.o:		fmt.h
wsle.o:		fio.h
wsle.o:		fmt.h
wsle.o:		lio.h
wsne.o:		fio.h
wsne.o:		lio.h
xwsne.o:	fio.h
xwsne.o:	lio.h
xwsne.o:	fmt.h

arith.h: arithchk.c
	$(CC) $(CFLAGS) -DNO_FPINIT arithchk.c -lm ||\
	 $(CC) -DNO_LONG_LONG $(CFLAGS) -DNO_FPINIT arithchk.c -lm
	./a.out >arith.h
	rm -f a.out arithchk.o

check:
	xsum Notice README abort_.c arithchk.c backspac.c c_abs.c c_cos.c \
	c_div.c c_exp.c c_log.c c_sin.c c_sqrt.c cabs.c close.c comptry.bat \
	ctype.c ctype.h \
	d_abs.c d_acos.c d_asin.c d_atan.c d_atn2.c d_cnjg.c d_cos.c d_cosh.c \
	d_dim.c d_exp.c d_imag.c d_int.c d_lg10.c d_log.c d_mod.c \
	d_nint.c d_prod.c d_sign.c d_sin.c d_sinh.c d_sqrt.c d_tan.c \
	d_tanh.c derf_.c derfc_.c dfe.c dolio.c dtime_.c due.c ef1asc_.c \
	ef1cmc_.c endfile.c erf_.c erfc_.c err.c etime_.c exit_.c f2c.h0 \
	f2ch.add f77_aloc.c f77vers.c fio.h fmt.c fmt.h fmtlib.c \
	fp.h ftell_.c ftell64_.c i_ceiling.c \
	getarg_.c getenv_.c h_abs.c h_dim.c h_dnnt.c h_indx.c h_len.c \
	h_mod.c h_nint.c h_sign.c hl_ge.c hl_gt.c hl_le.c hl_lt.c \
	i77vers.c i_abs.c i_dim.c i_dnnt.c i_indx.c i_len.c i_len_trim.c i_mod.c \
	i_nint.c i_sign.c iargc_.c iio.c ilnw.c inquire.c l_ge.c l_gt.c \
	l_le.c l_lt.c lbitbits.c lbitshft.c libf2c.lbc libf2c.sy lio.h \
	lread.c lwrite.c main.c makefile.sy makefile.u makefile.vc \
	makefile.wat math.hvc mkfile.plan9 open.c pow_ci.c pow_dd.c \
	pow_di.c pow_hh.c pow_ii.c pow_qq.c pow_ri.c pow_zi.c pow_zz.c \
	qbitbits.c qbitshft.c r_abs.c r_acos.c r_asin.c r_atan.c r_atn2.c \
	r_cnjg.c r_cos.c r_cosh.c r_dim.c r_exp.c r_imag.c r_int.c r_lg10.c \
	r_log.c r_mod.c r_nint.c r_sign.c r_sin.c r_sinh.c r_sqrt.c \
	r_tan.c r_tanh.c rawio.h rdfmt.c rewind.c rsfe.c rsli.c rsne.c \
	s_cat.c s_cmp.c s_copy.c s_paus.c s_rnge.c s_stop.c scomptry.bat sfe.c \
	sig_die.c signal1.h0 signal_.c signbit.c sue.c sysdep1.h0 system_.c \
	typesize.c \
	uio.c uninit.c util.c wref.c wrtfmt.c wsfe.c wsle.c wsne.c xwsne.c \
	z_abs.c z_cos.c z_div.c z_exp.c z_log.c z_sin.c z_sqrt.c >xsum1.out
	cmp xsum0.out xsum1.out && mv xsum1.out xsum.out || diff xsum[01].out

=== debian/changelog ===
starpu (1.3.3+dfsg-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:11:07 +0100

starpu (1.3.3+dfsg-2) unstable; urgency=medium

  * Re-upload for building arch:all on a buildd.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Dec 2019 16:20:10 +0100

starpu (1.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.3-1 to libstarpu-1.3-2 according to soname bump.
    - Rename libstarpufft-1.3-0 to libstarpufft-1.3-1 according to soname bump.
    - Rename libstarpumpi-1.3-0 to libstarpumpi-1.3-1 according to soname bump.
    - patches/man: Upstreamed.
    - patches/flops-nan: Upstreamed.
    - patches/flops-incoherent: Upstreamed.
    - patches/git-fxt: New patch, fix big traces.
  * watch: Generalize pattern.
  * rules: Do not make showcheck in nocheck profile.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Dec 2019 14:52:39 +0100

=== debian/control ===
Source: starpu
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 9~), autotools-dev, dh-autoreconf,
	pkg-config,
	libnuma-dev [amd64 arm64 i386 ia64 mips mips64 mipsel mips64el powerpc ppc64el],
	libglpk-dev,
	mpi-default-dev,
	libgl1-mesa-dev | libgl-dev,
	libglu1-mesa-dev | libglu-dev,
	freeglut3-dev,
	libx11-dev,
	libblas-dev,
	libfftw3-dev,
	libhwloc-dev,
	libleveldb-dev,
	libhdf5-dev,
	valgrind [amd64 arm64 armhf i386 mips mips64 mipsel mips64el powerpc ppc64el s390x],
#	guile-2.2,
	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
	gfortran,
#	gcc-8, g++-8, gfortran-8,
#	clang-7,
	help2man, doxygen, doxygen-latex,
#	nvidia-cuda-toolkit (>= 10.1),
#Build-Conflicts: gcc-8, g++-8
Standards-Version: 4.4.0
Section: libs
Homepage: http://starpu.gforge.inria.fr/
Vcs-Git: https://scm.gforge.inria.fr/anonscm/git/starpu-debian/starpu-debian.git
Vcs-Browser: https://gforge.inria.fr/scm/browser.php?group_id=9532

Package: libstarpu-dev
Section: libdevel
Architecture: any
Depends: libstarpu-1.3-2 (= ${binary:Version}) | libstarpu-any-1.3-2, libstarpufft-1.3-1 (= ${binary:Version}) | libstarpu-anyfft-1.3-1, libstarpumpi-1.3-1 (= ${binary:Version}) | libstarpu-anympi-1.3-1, libsocl-1.3-0 (= ${binary:Version}) | libsocl-any-1.3-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
Conflicts: libstarpu-contrib-dev
Provides: libstarpu-any-dev
Description: Task scheduler for heterogeneous multicore machines - dev
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains development headers and libraries.
# This "contrib" version is built against CUDA.

Package: libstarpu-1.3-2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contrib-1.3-2
Provides: libstarpu-any-1.3-2
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains the main StarPU library
# This "contrib" version is built against CUDA.

Package: libstarpufft-1.3-1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contribfft-1.3-1
Provides: libstarpu-anyfft-1.3-1
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains a hybrid CPU+GPU FFT library.
# This "contrib" version is built against CUDA.

Package: libstarpumpi-1.3-1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-contribmpi-1.3-1
Provides: libstarpu-anympi-1.3-1
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains MPI extensions for StarPU.
# This "contrib" version is built against CUDA.

Package: starpu-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-contrib-tools
Provides: starpu-any-tools
Recommends: python3
Description: Task scheduler for heterogeneous multicore machines - tools
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains StarPU tools.
# This "contrib" version is built against CUDA.

Package: starpu-examples
Section: science
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-contrib-examples
Provides: starpu-any-examples
Description: Task scheduler for heterogeneous multicore machines - exs
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains application examples.
# This "contrib" version is built against CUDA.

Package: libsocl-1.3-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsocl-contrib-1.3-0
Provides: libsocl-any-1.3-0
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains an OpenCL-compatible library interface to StarPU.
# This "contrib" version is built against CUDA.

=== debian/rules ===
#!/usr/bin/make -f

DH_OPTIONS=-Bbuild

source=$(shell dpkg-parsechangelog -S Source)

# This is the current default version, which we may have to conflict against
DEFAULT_GCC_VERSION  := 8

# These are the best versions that nvcc supports.
CONTRIB_GCC_VERSION  := 8
CONTRIB_CLANG_VERSION  := 7

ifeq ($(source),starpu-contrib)
# nvcc sometimes chokes on some gcc features
CC=gcc-$(CONTRIB_GCC_VERSION)
CXX=g++-$(CONTRIB_GCC_VERSION)
F77=gfortran-$(CONTRIB_GCC_VERSION)
FC=gfortran-$(CONTRIB_GCC_VERSION)
endif
OMPI_CC=$(CC)
export CC
export CXX
export F77
export FC
export OMPI_CC

#export NVCC_CC = gcc-$(CONTRIB_GCC_VERSION)
#export NVCC_CC = clang-$(CONTRIB_CLANG_VERSION)
export NVCCFLAGS = -Xcompiler -fPIC -Xcompiler -std=c++03

ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
CONFIGURE_NODOC = --disable-build-doc
endif

%:
	dh $@ --parallel $(DH_OPTIONS) --with autoreconf

override_dh_auto_configure:
	dh_auto_configure $(DH_OPTIONS) -- --enable-opengl-render \
		--enable-openmp --enable-quick-check --docdir=/usr/share/doc/libstarpu-dev \
		$(CONFIGURE_NODOC)

override_dh_auto_test:
	-HOME=$$PWD DISPLAY= DEB_BUILD_OPTIONS=$(patsubst parallel=%,,$(DEB_BUILD_OPTIONS)) dh_auto_test $(DH_OPTIONS) -- -k
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C build showcheck
endif

override_dh_auto_clean:
	dh_auto_clean $(DH_OPTIONS) 
	rm -fr doc/doxygen/starpu.pdf
	rm -fr doc/doxygen/html
	rm -fr .starpu
	rm -fr .nv

# Switch to main rules
main:
	sed -i 's/^starpu-contrib /starpu /' debian/changelog
	sed -i '1s/^Source: starpu-contrib/Source: starpu/' debian/control
	sed -i 's/Package: libstarpu-contrib/Package: libstarpu/' debian/control
	sed -i 's/Package: starpu-contrib/Package: starpu/' debian/control
	sed -i 's/Package: libsocl-contrib/Package: libsocl/' debian/control
	sed -i '/Depends/s/ libstarpu-contrib/ libstarpu/g' debian/control
	sed -i '/Depends/s/ libsocl-contrib/ libsocl/g' debian/control
	sed -i 's/Conflicts: libstarpu/Conflicts: libstarpu-contrib/' debian/control
	sed -i 's/Conflicts: libsocl/Conflicts: libsocl-contrib/' debian/control
	sed -i 's/Conflicts: starpu/Conflicts: starpu-contrib/' debian/control
	sed -i 's/^	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION),,$$/#	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION),,/' debian/control
	#sed -i 's/^	clang-$(CONTRIB_CLANG_VERSION),$$/#	clang-$(CONTRIB_CLANG_VERSION),/' debian/control
	sed -i 's/^	nvidia-cuda-toolkit/#	nvidia-cuda-toolkit/' debian/control
	#sed -i 's/^Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION)/#Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION)/' debian/control
	sed -i 's_^Section: contrib/_Section: _' debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i 's/^ This "contrib" version/# This "contrib" version/' debian/control

# Switch to contrib rules
contrib:
	sed -i 's/^starpu /starpu-contrib /' debian/changelog
	sed -i '1s/^Source: starpu/Source: starpu-contrib/' debian/control
	sed -i 's/Package: libstarpu/Package: libstarpu-contrib/' debian/control
	sed -i 's/Package: starpu/Package: starpu-contrib/' debian/control
	sed -i 's/Package: libsocl/Package: libsocl-contrib/' debian/control
	sed -i '/Depends/s/ libstarpu/ libstarpu-contrib/g' debian/control
	sed -i '/Depends/s/ libsocl/ libsocl-contrib/g' debian/control
	sed -i 's/Conflicts: libstarpu-contrib/Conflicts: libstarpu/' debian/control
	sed -i 's/Conflicts: libsocl-contrib/Conflicts: libsocl/' debian/control
	sed -i 's/Conflicts: starpu-contrib/Conflicts: starpu/' debian/control
	sed -i 's/#	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION),,$$/	gcc-$(CONTRIB_GCC_VERSION), g++-$(CONTRIB_GCC_VERSION), gfortran-$(CONTRIB_GCC_VERSION),,/' debian/control
	#sed -i 's/^#	clang-$(CONTRIB_CLANG_VERSION),$$/	clang-$(CONTRIB_CLANG_VERSION),/' debian/control
	sed -i 's/#	nvidia-cuda-toolkit/	nvidia-cuda-toolkit/' debian/control
	#sed -i 's/^#Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION)/Build-Conflicts: gcc-$(DEFAULT_GCC_VERSION), g++-$(DEFAULT_GCC_VERSION)/' debian/control
	sed -i 's_contrib/contrib/_contrib_g' debian/control debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i 's_^Section: \([^/]*\)$$_Section: contrib/\1_' debian/control
	sed -i 's/^# This "contrib" version/ This "contrib" version/' debian/control

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/(\d)(rc\d*)$/$1~$2/ \
https://gforge.inria.fr/frs/?group_id=1570 \
(?:|.*/)starpu(?:[_\-]v?|)@ANY_VERSION@@ARCHIVE_EXT@

## starpu 1.3.4+dfsg

=== min-dgels/Makefile ===
CC = gcc
LD = /usr/bin/ld -m elf_x86_64
srcdir = .

CLAPACK=base
ADDITIONAL=additional

all:
	mkdir -p build
	[ -d "$(CLAPACK)" ] || cp -a $(srcdir)/$(CLAPACK) .
	cd $(CLAPACK) && $(MAKE) blaslib CC="$(CC)" LD="$(LD)"
	cd $(CLAPACK) && $(MAKE) f2clib CC="$(CC)" LD="$(LD)"
	[ -d "$(ADDITIONAL)" ] || cp -a $(srcdir)/$(ADDITIONAL) .
	cd $(ADDITIONAL) && $(CC) -c -fPIC *.c && ar cr ../build/minlibdgels.a *.o && ranlib ../build/minlibdgels.a

install:

clean:
	-cd $(CLAPACK) && $(MAKE) clean && rm -rf *~
	-cd $(ADDITIONAL) && rm -rf *.o *~
	rm -rf build *~

distclean: clean

# This part is needed by StarPU

STARPU_SRCDIR = .

distdir:
	cp -fRp $(STARPU_SRCDIR)/* $(distdir)
	cd $(distdir) && make -f Makefile.in clean

check:
	echo "No checks are implemented for min-dgels"
recheck:
	echo "No checks are implemented for min-dgels"

showfailed:
	@:

showcheck: check

showsuite: check

=== debian/changelog ===
starpu (1.3.4+dfsg-3) unstable; urgency=medium

  * control: Drop valgrind build-dep on x32, it is not actually currently
    available there.
  * patches/install: Install missing examples (Closes: Bug#964149).
  * tests/examples: Update autopkgtest to StarPU 1.3.4.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 02 Jul 2020 20:03:46 +0200

starpu (1.3.4+dfsg-2) unstable; urgency=medium

  * control: Update debian packaging vcs repository.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Jun 2020 10:21:28 +0200

starpu (1.3.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.3-2 to libstarpu-1.3-3 according to soname bump.
    - Rename libstarpumpi-1.3-1 to libstarpumpi-1.3-2 according to soname bump.
    - patches/git-fxt: Upstreamed.
    - patches/no-schedulers-test: Drop, now useless.
    - patches/doc-nopdf: Drop, replaced by...
    - rules: ... Add --disable-build-doc-pdf configure option.
    - patches/mpi_link: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Jun 2020 14:39:01 +0200

starpu (1.3.3+dfsg-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Rebuild against libhdf5-103-1 (Closes: Bug#955831).
  * control: Drop mention of mips. Enable libnuma-dev dep on all linux archs.
    Enable valgrind on x32.

  [ Andreas Beckmann ]
  * control: Depend on nvidia-cuda-toolkit-gcc instead of nvidia-cuda-toolkit.
  * rules: Use cuda-gcc/g++ instead of hardcoded versions of gcc/g++
    (Closes: Bug#955794).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Apr 2020 15:51:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 9~), autotools-dev, dh-autoreconf,
 	pkg-config,
-	libnuma-dev [amd64 arm64 i386 ia64 mips mips64 mipsel mips64el powerpc ppc64el],
+	libnuma-dev [linux-any],
 	libglpk-dev,
 	mpi-default-dev,
 	libgl1-mesa-dev | libgl-dev,
@@ -15,25 +15,22 @@
 	libhwloc-dev,
 	libleveldb-dev,
 	libhdf5-dev,
-	valgrind [amd64 arm64 armhf i386 mips mips64 mipsel mips64el powerpc ppc64el s390x],
+	valgrind [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
 #	guile-2.2,
 	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
 	gfortran,
-#	gcc-8, g++-8, gfortran-8,
-#	clang-7,
 	help2man, doxygen, doxygen-latex,
-#	nvidia-cuda-toolkit (>= 10.1),
-#Build-Conflicts: gcc-8, g++-8
+#	nvidia-cuda-toolkit-gcc (>= 10.1),
 Standards-Version: 4.4.0
 Section: libs
 Homepage: http://starpu.gforge.inria.fr/
-Vcs-Git: https://scm.gforge.inria.fr/anonscm/git/starpu-debian/starpu-debian.git
-Vcs-Browser: https://gforge.inria.fr/scm/browser.php?group_id=9532
+Vcs-Git: https://gitlab.inria.fr/starpu/starpu-debian.git
+Vcs-Browser: https://gitlab.inria.fr/starpu/starpu-debian
 
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu-1.3-2 (= ${binary:Version}) | libstarpu-any-1.3-2, libstarpufft-1.3-1 (= ${binary:Version}) | libstarpu-anyfft-1.3-1, libstarpumpi-1.3-1 (= ${binary:Version}) | libstarpu-anympi-1.3-1, libsocl-1.3-0 (= ${binary:Version}) | libsocl-any-1.3-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
+Depends: libstarpu-1.3-3 (= ${binary:Version}) | libstarpu-any-1.3-3, libstarpufft-1.3-1 (= ${binary:Version}) | libstarpu-anyfft-1.3-1, libstarpumpi-1.3-2 (= ${binary:Version}) | libstarpu-anympi-1.3-1, libsocl-1.3-0 (= ${binary:Version}) | libsocl-any-1.3-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-contrib-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -48,13 +45,13 @@
  This package contains development headers and libraries.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpu-1.3-2
+Package: libstarpu-1.3-3
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contrib-1.3-2
-Provides: libstarpu-any-1.3-2
+Conflicts: libstarpu-contrib-1.3-3
+Provides: libstarpu-any-1.3-3
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -86,13 +83,13 @@
  This package contains a hybrid CPU+GPU FFT library.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpumpi-1.3-1
+Package: libstarpumpi-1.3-2
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribmpi-1.3-1
-Provides: libstarpu-anympi-1.3-1
+Conflicts: libstarpu-contribmpi-1.3-2
+Provides: libstarpu-anympi-1.3-2
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient

=== debian/rules ===
#!/usr/bin/make -f

DH_OPTIONS=-Bbuild

source=$(shell dpkg-parsechangelog -S Source)

# These are the best versions that nvcc supports.
CONTRIB_GCC_VERSION  := 8
CONTRIB_CLANG_VERSION  := 8

ifeq ($(source),starpu-contrib)
# nvcc sometimes chokes on some gcc features
CC=cuda-gcc
CXX=cuda-g++
endif
OMPI_CC=$(CC)
export CC
export CXX
export OMPI_CC

export NVCCFLAGS = -Xcompiler -fPIC -Xcompiler -std=c++03

ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
CONFIGURE_NODOC = --disable-build-doc
endif

%:
	dh $@ --parallel $(DH_OPTIONS) --with autoreconf

override_dh_auto_configure:
	dh_auto_configure $(DH_OPTIONS) -- --enable-opengl-render \
		--enable-openmp --enable-quick-check \
		--docdir=/usr/share/doc/libstarpu-dev --disable-build-doc-pdf \
		$(CONFIGURE_NODOC)

override_dh_auto_test:
	-HOME=$$PWD DISPLAY= DEB_BUILD_OPTIONS=$(patsubst parallel=%,,$(DEB_BUILD_OPTIONS)) dh_auto_test $(DH_OPTIONS) -- -k
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C build showcheck
endif

override_dh_auto_clean:
	dh_auto_clean $(DH_OPTIONS) 
	rm -fr doc/doxygen/starpu.pdf
	rm -fr doc/doxygen/html
	rm -fr .starpu
	rm -fr .nv

# Switch to main rules
main:
	sed -i 's/^starpu-contrib /starpu /' debian/changelog
	sed -i '1s/^Source: starpu-contrib/Source: starpu/' debian/control
	sed -i 's/Package: libstarpu-contrib/Package: libstarpu/' debian/control
	sed -i 's/Package: starpu-contrib/Package: starpu/' debian/control
	sed -i 's/Package: libsocl-contrib/Package: libsocl/' debian/control
	sed -i '/Depends/s/ libstarpu-contrib/ libstarpu/g' debian/control
	sed -i '/Depends/s/ libsocl-contrib/ libsocl/g' debian/control
	sed -i 's/Conflicts: libstarpu/Conflicts: libstarpu-contrib/' debian/control
	sed -i 's/Conflicts: libsocl/Conflicts: libsocl-contrib/' debian/control
	sed -i 's/Conflicts: starpu/Conflicts: starpu-contrib/' debian/control
	sed -i 's/^	nvidia-cuda-toolkit-gcc/#	nvidia-cuda-toolkit-gcc/' debian/control
	sed -i 's_^Section: contrib/_Section: _' debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i 's/^ This "contrib" version/# This "contrib" version/' debian/control

# Switch to contrib rules
contrib:
	sed -i 's/^starpu /starpu-contrib /' debian/changelog
	sed -i '1s/^Source: starpu/Source: starpu-contrib/' debian/control
	sed -i 's/Package: libstarpu/Package: libstarpu-contrib/' debian/control
	sed -i 's/Package: starpu/Package: starpu-contrib/' debian/control
	sed -i 's/Package: libsocl/Package: libsocl-contrib/' debian/control
	sed -i '/Depends/s/ libstarpu/ libstarpu-contrib/g' debian/control
	sed -i '/Depends/s/ libsocl/ libsocl-contrib/g' debian/control
	sed -i 's/Conflicts: libstarpu-contrib/Conflicts: libstarpu/' debian/control
	sed -i 's/Conflicts: libsocl-contrib/Conflicts: libsocl/' debian/control
	sed -i 's/Conflicts: starpu-contrib/Conflicts: starpu/' debian/control
	sed -i 's/#	nvidia-cuda-toolkit-gcc/	nvidia-cuda-toolkit-gcc/' debian/control
	sed -i 's_contrib/contrib/_contrib_g' debian/control debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i 's_^Section: \([^/]*\)$$_Section: contrib/\1_' debian/control
	sed -i 's/^# This "contrib" version/ This "contrib" version/' debian/control

## starpu 1.3.7+dfsg

=== doc/tutorial/Makefile ===
# StarPU --- Runtime system for heterogeneous multicore architectures.
#
# Copyright (C) 2009-2020  Université de Bordeaux, CNRS (LaBRI UMR 5800), Inria
#
# StarPU is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at
# your option) any later version.
#
# StarPU is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# See the GNU Lesser General Public License in COPYING.LGPL for more details.
#
CFLAGS          +=      $$(pkg-config --cflags starpu-1.1)
LDLIBS          +=      $$(pkg-config --libs starpu-1.1)

HAS_CUDA	=	$(shell pkg-config --libs starpu-1.1 |grep -i cuda)
NVCC		?=	nvcc
HAS_OPENCL	=	$(shell pkg-config --libs starpu-1.1 |grep -i opencl)

%.o: %.cu
	nvcc $(CFLAGS) $< -c

TARGETS = hello_world vector_scal vector_scal_task_insert

all: $(TARGETS)

VECTOR_SCAL_PREREQUISITES	=	vector_scal.o vector_scal_cpu.o
ifneq ($(strip $(HAS_CUDA)),)
VECTOR_SCAL_PREREQUISITES	+=	vector_scal_cuda.o
VECTOR_SCAL_COMPILER		=	$(NVCC)
else
VECTOR_SCAL_COMPILER		=	$(CC)
endif
ifneq ($(strip $(HAS_OPENCL)),)
VECTOR_SCAL_PREREQUISITES += vector_scal_opencl.o
endif

vector_scal: $(VECTOR_SCAL_PREREQUISITES)
	$(VECTOR_SCAL_COMPILER) $^ $(LDLIBS) -o $@

VECTOR_SCAL_TASK_INSERT_PREREQUISITES		=	vector_scal_task_insert.o vector_scal_cpu.o
ifneq ($(strip $(HAS_CUDA)),)
VECTOR_SCAL_TASK_INSERT_PREREQUISITES		+=	vector_scal_cuda.o
VECTOR_SCAL_TASK_INSERT_COMPILER		=	$(NVCC)
else
VECTOR_SCAL_TASK_INSERT_COMPILER		=	$(CC)
endif
ifneq ($(strip $(HAS_OPENCL)),)
VECTOR_SCAL_TASK_INSERT_PREREQUISITES += vector_scal_opencl.o
endif

vector_scal_task_insert: $(VECTOR_SCAL_TASK_INSERT_PREREQUISITES)
	$(VECTOR_SCAL_TASK_INSERT_COMPILER) $^ $(LDLIBS) -o $@

clean:
	rm -f $(TARGETS) *.o

=== examples/fortran/Makefile ===
# StarPU --- Runtime system for heterogeneous multicore architectures.
#
# Copyright (C) 2009-2020  Université de Bordeaux, CNRS (LaBRI UMR 5800), Inria
#
# StarPU is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at
# your option) any later version.
#
# StarPU is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# See the GNU Lesser General Public License in COPYING.LGPL for more details.
#
FC=gfortran
CFLAGS+= -g -Wall
FFLAGS+= -g -Wall

all: hello

hello.F: StarPU_fortran.h

hello: hello.F hello_c.o

clean:
	rm -f *.o *.mod hello

=== debian/changelog ===
starpu (1.3.7+dfsg-3) unstable; urgency=medium

  * control: Make libstarpu-dev depend on libstarpurm-1.3-1
    (Closes: Bug#985436).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 18 Mar 2021 22:50:37 +0100

starpu (1.3.7+dfsg-2) unstable; urgency=medium

  * control: Fix libstarpurm providing libstarpu-anyrm.
  * control: Update packaging URL.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 16 Jan 2021 13:37:36 +0100

starpu (1.3.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - control: Rename libstarpu-1.3-4 to libstarpu-1.3-5.
    - patches/starpurm_link: Upstreamed.
    - patches/starpurm_showcheck: Upstreamed.
    - patches/mlr_blas: Upstreamed.
  * starpu-examples.install: Add mpi examples, precalibrated perfmodels,
    opencl codelets.
  * starpu-tools.install: Install perfmodel dtd. Install starpu_t* tools
    (starpu_top is no more). Install ayudame.cfg.
  * not-installed: Rule out *.la. Rule out README.dev.
  * docs: Install missing doc.
  * control: Drop removed gccDeps variable. Drop shlibs:Depends from
    libstarpu-dev, it shouldn't need it.
  * patches/socl_link: Fix linking libsocl against libOpenCL.
  * patches/mpi_link: Drop patch, dh removes spurious rpath, and we need the
    link flags to properly get the libmpi dependency.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 24 Oct 2020 13:14:54 +0200

starpu (1.3.5+dfsg-2) unstable; urgency=medium

  * patches/starpurm_showcheck: Fix showcheck rule inside starpurm.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 10 Sep 2020 17:17:38 +0200

starpu (1.3.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - control: Rename
      - libstarpu-1.3-3 to libstarpu-1.3-4
      - libstarpufft-1.3-1 to libstarpufft-1.3-2
      - libstarpumpi-1.3-2 to libstarpumpi-1.3-3
      according to upstream soname bump.
    - control: Add libstarpurm library.
    - patches/install: Upstreamed.
    - rules: Pass --enable-mlr-system-blas to configure.
    - rules: Pass --enable-starpurm-examples to configure.
    - patches/mlr_blas: Fix using system blas.
    - patches/starpurm_link: Fix linking starpurm examples.
  * control: Drop doxygen-latex dependency, we don't build the PDFs any more.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * control: Bump debhelper compat to 12.
  * watch: Update.
  * rules: Drop --parallel and --with autoreconf, now the default.
  * control: Drop the autotools-dev and dh-autoreconf build-deps, now the
    default.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Aug 2020 16:29:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: starpu
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 9~), autotools-dev, dh-autoreconf,
+Build-Depends: debhelper-compat (= 12),
 	pkg-config,
 	libnuma-dev [linux-any],
 	libglpk-dev,
@@ -19,18 +19,18 @@
 #	guile-2.2,
 	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
 	gfortran,
-	help2man, doxygen, doxygen-latex,
+	help2man, doxygen,
 #	nvidia-cuda-toolkit-gcc (>= 10.1),
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Section: libs
 Homepage: http://starpu.gforge.inria.fr/
-Vcs-Git: https://gitlab.inria.fr/starpu/starpu-debian.git
-Vcs-Browser: https://gitlab.inria.fr/starpu/starpu-debian
+Vcs-Git: https://salsa.debian.org/debian/starpu.git
+Vcs-Browser: https://salsa.debian.org/debian/starpu
 
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu-1.3-3 (= ${binary:Version}) | libstarpu-any-1.3-3, libstarpufft-1.3-1 (= ${binary:Version}) | libstarpu-anyfft-1.3-1, libstarpumpi-1.3-2 (= ${binary:Version}) | libstarpu-anympi-1.3-1, libsocl-1.3-0 (= ${binary:Version}) | libsocl-any-1.3-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
+Depends: libstarpu-1.3-5 (= ${binary:Version}) | libstarpu-any-1.3-5, libstarpufft-1.3-2 (= ${binary:Version}) | libstarpu-anyfft-1.3-2, libstarpumpi-1.3-3 (= ${binary:Version}) | libstarpu-anympi-1.3-3, libsocl-1.3-0 (= ${binary:Version}) | libsocl-any-1.3-0, libstarpurm-1.3-1 (= ${binary:Version}) | libstarpu-anyrm-1.3-1, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-contrib-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -45,13 +45,13 @@
  This package contains development headers and libraries.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpu-1.3-3
+Package: libstarpu-1.3-5
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contrib-1.3-3
-Provides: libstarpu-any-1.3-3
+Conflicts: libstarpu-contrib-1.3-5
+Provides: libstarpu-any-1.3-5
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -64,13 +64,13 @@
  This package contains the main StarPU library
 # This "contrib" version is built against CUDA.
 
-Package: libstarpufft-1.3-1
+Package: libstarpufft-1.3-2
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribfft-1.3-1
-Provides: libstarpu-anyfft-1.3-1
+Conflicts: libstarpu-contribfft-1.3-2
+Provides: libstarpu-anyfft-1.3-2
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -83,13 +83,13 @@
  This package contains a hybrid CPU+GPU FFT library.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpumpi-1.3-2
+Package: libstarpumpi-1.3-3
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribmpi-1.3-2
-Provides: libstarpu-anympi-1.3-2
+Conflicts: libstarpu-contribmpi-1.3-3
+Provides: libstarpu-anympi-1.3-3
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -158,3 +158,22 @@
  .
  This package contains an OpenCL-compatible library interface to StarPU.
 # This "contrib" version is built against CUDA.
+
+Package: libstarpurm-1.3-1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpu-contribrm-1.3-1
+Provides: libstarpu-anyrm-1.3-1
+Description: Task scheduler for heterogeneous multicore machines
+ StarPU is a runtime system that offers support for heterogeneous
+ multicore machines. While many efforts are devoted to design efficient
+ computation kernels for those architectures (e.g. to implement BLAS
+ kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
+ offloading such kernels (and implementing data coherency across
+ the machine), but it also makes sure the kernels are executed as
+ efficiently as possible.
+ .
+ This package contains the resource management library.
+# This "contrib" version is built against CUDA.

=== debian/rules ===
--- 
+++ 
@@ -25,11 +25,16 @@
 endif
 
 %:
-	dh $@ --parallel $(DH_OPTIONS) --with autoreconf
+	dh $@ $(DH_OPTIONS)
 
 override_dh_auto_configure:
-	dh_auto_configure $(DH_OPTIONS) -- --enable-opengl-render \
-		--enable-openmp --enable-quick-check \
+	dh_auto_configure $(DH_OPTIONS) -- \
+		--enable-opengl-render \
+		--enable-openmp \
+		--enable-quick-check \
+		--enable-mlr-system-blas \
+		--enable-starpurm \
+		--enable-starpurm-examples \
 		--docdir=/usr/share/doc/libstarpu-dev --disable-build-doc-pdf \
 		$(CONFIGURE_NODOC)

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/(\d)(rc\d*)$/$1~$2/ \
https://files.inria.fr/starpu/ \
(?:|.*/)starpu(?:[_\-]v?|)@ANY_VERSION@@ARCHIVE_EXT@
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/(\d)(rc\d*)$/$1~$2/ \
https://gforge.inria.fr/frs/?group_id=1570 \
(?:|.*/)starpu(?:[_\-]v?|)@ANY_VERSION@@ARCHIVE_EXT@
